package com.ozs.mdm.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * 
 * @ClassName: MdmInfoColumn
 * @Description: 表字段信息表实体类
 * @author: Zhao You Kai
 * @date: Feb 19, 2019 4:20:55 PM
 */
public class MdmInfoColumn {
	@ApiModelProperty("ID")
	private String id;
	@ApiModelProperty("字段名称")
	private String columnName;
	@ApiModelProperty("字段描述")
	private String columnComment;
	@ApiModelProperty("字段类型")
	private Integer columnType;
	@ApiModelProperty("字段长度")
	private Integer length;
	@ApiModelProperty("字段小数位数")
	private Integer numericScale;
	@ApiModelProperty("是否是主键")
	private Integer ifPrimary;
	@ApiModelProperty("是否可为空")
	private Integer ifNull;
	@ApiModelProperty("字段所属表ID")
	private String tableId;
	@ApiModelProperty("字段序列号")
	private Integer columnCode;
	@ApiModelProperty("创建人ID")
	private String updateUserId;
	@ApiModelProperty("更新时间")
	private String updateTime;
	@ApiModelProperty("字段类型名称")
	private String columnTypeName;
	@ApiModelProperty("是否浮点类型")
	private Integer isFloatPoint;
	@ApiModelProperty("是否时间类型")
	private Integer isTime;
	@ApiModelProperty("是否文本类型")
	private Integer ifChar;
	@ApiModelProperty("所属表名")
	private String tableName;

	@ApiModelProperty("所属数据库名")
	private String databaseId;

	public Integer getIsTime() {
		return isTime;
	}

	public void setIsTime(Integer isTime) {
		this.isTime = isTime;
	}

	public Integer getIfChar() {
		return ifChar;
	}

	public void setIfChar(Integer ifChar) {
		this.ifChar = ifChar;
	}

	public String getDatabaseId() {
		return databaseId;
	}

	public void setDatabaseId(String databaseId) {
		this.databaseId = databaseId;
	}

	public String getTableName() {
		return tableName;
	}

	public void setTableName(String tableName) {
		this.tableName = tableName;
	}

	public Integer getIsFloatPoint() {
		return isFloatPoint;
	}

	public void setIsFloatPoint(Integer isFloatPoint) {
		this.isFloatPoint = isFloatPoint;
	}

	public String getColumnTypeName() {
		return columnTypeName;
	}

	public void setColumnTypeName(String columnTypeName) {
		this.columnTypeName = columnTypeName;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Integer getLength() {
		return length;
	}

	public void setLength(Integer length) {
		this.length = length;
	}

	public Integer getNumericScale() {
		return numericScale;
	}

	public void setNumericScale(Integer numericScale) {
		this.numericScale = numericScale;
	}

	public Integer getIfPrimary() {
		return ifPrimary;
	}

	public void setIfPrimary(Integer ifPrimary) {
		this.ifPrimary = ifPrimary;
	}

	public Integer getIfNull() {
		return ifNull;
	}

	public void setIfNull(Integer ifNull) {
		this.ifNull = ifNull;
	}

	public Integer getColumnCode() {
		return columnCode;
	}

	public void setColumnCode(Integer columnCode) {
		this.columnCode = columnCode;
	}

	public String getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(String updateUserId) {
		this.updateUserId = updateUserId;
	}

	public String getColumnName() {
		return columnName;
	}

	public void setColumnName(String columnName) {
		this.columnName = columnName;
	}

	public String getColumnComment() {
		return columnComment;
	}

	public void setColumnComment(String columnComment) {
		this.columnComment = columnComment;
	}

	public Integer getColumnType() {
		return columnType;
	}

	public void setColumnType(Integer columnType) {
		this.columnType = columnType;
	}

	public String getTableId() {
		return tableId;
	}

	public void setTableId(String tableId) {
		this.tableId = tableId;
	}

	public String getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

}
